Gets the effective configuration for model deployments using the resource configuration
Gets the effective configuration for model deployments using the resource configuration.
curl --request GET \
--url https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations/{resourceConfigurationId}/effectiveModelDeploymentSchema \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations/{resourceConfigurationId}/effectiveModelDeploymentSchema"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations/{resourceConfigurationId}/effectiveModelDeploymentSchema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataPlaneId": "<string>",
"deploymentTargetConfiguration": {
"resourceConfig": {},
"targetConfig": {}
},
"deploymentTargetLastModified": "2023-11-07T05:31:56Z",
"deploymentTargetTypeId": "<string>",
"deploymentTargetTypeName": "aws",
"deploymentTargetTypeOperatorVersion": "1.0.2",
"modelDeploymentConfigurationSchemas": {
"modelSpecificSchema": {
"additionalProperties": "<unknown>",
"default": "<unknown>",
"description": "<string>",
"enum": [
"<unknown>"
],
"example": "<unknown>",
"format": "date-time",
"id": "<string>",
"items": "<unknown>",
"maxItems": 1,
"maxLength": 1,
"maxProperties": 1,
"maximum": 123,
"minItems": 0,
"minLength": 0,
"minProperties": 0,
"minimum": 123,
"pattern": "<string>",
"properties": {},
"required": [
"<string>"
],
"title": "<string>",
"type": "array",
"uniqueItems": false
},
"sharedSchema": {
"additionalProperties": "<unknown>",
"default": "<unknown>",
"description": "<string>",
"enum": [
"<unknown>"
],
"example": "<unknown>",
"format": "date-time",
"id": "<string>",
"items": "<unknown>",
"maxItems": 1,
"maxLength": 1,
"maxProperties": 1,
"maximum": 123,
"minItems": 0,
"minLength": 0,
"minProperties": 0,
"minimum": 123,
"pattern": "<string>",
"properties": {},
"required": [
"<string>"
],
"title": "<string>",
"type": "array",
"uniqueItems": false
}
},
"modelDeploymentCustomResourceDefinition": {
"group": "<string>",
"kind": "<string>",
"version": "<string>"
},
"modelDeploymentStateSchemas": {
"modelSpecificSchema": {
"additionalProperties": "<unknown>",
"default": "<unknown>",
"description": "<string>",
"enum": [
"<unknown>"
],
"example": "<unknown>",
"format": "date-time",
"id": "<string>",
"items": "<unknown>",
"maxItems": 1,
"maxLength": 1,
"maxProperties": 1,
"maximum": 123,
"minItems": 0,
"minLength": 0,
"minProperties": 0,
"minimum": 123,
"pattern": "<string>",
"properties": {},
"required": [
"<string>"
],
"title": "<string>",
"type": "array",
"uniqueItems": false
},
"sharedSchema": {
"additionalProperties": "<unknown>",
"default": "<unknown>",
"description": "<string>",
"enum": [
"<unknown>"
],
"example": "<unknown>",
"format": "date-time",
"id": "<string>",
"items": "<unknown>",
"maxItems": 1,
"maxLength": 1,
"maxProperties": 1,
"maximum": 123,
"minItems": 0,
"minLength": 0,
"minProperties": 0,
"minimum": 123,
"pattern": "<string>",
"properties": {},
"required": [
"<string>"
],
"title": "<string>",
"type": "array",
"uniqueItems": false
}
},
"modelDeploymentSupportedModelSources": [
"MODELREGISTRY"
],
"modelDeploymentTypeConfigurationSchemas": {},
"modelDeploymentTypeStateSchemas": {},
"resourceConfigurationLastModified": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
ID of Deployment Target the Resource Configuration belongs to
ID of Resource Configuration
Response
Success
Effective Model Deployment Schema
ID of the data plane where the operator is deployed
The Deployment Target configuration values for the Deployment Target and Resource Configuration
Show child attributes
Show child attributes
Timestamp of the last update to the deployment target (will be the creation timestamp on creation)
UUID for the Deployment Target Type
Internal name for the Deployment Target Type
"aws"
Version of the operator
"1.0.2"
Shared and Model Specific configs.
Show child attributes
Show child attributes
Custom Resource Definition for Model Deployment
Show child attributes
Show child attributes
Shared and Model Specific configs.
Show child attributes
Show child attributes
Model sources supported by Domino
MODELREGISTRY ["MODELREGISTRY"]
The supported deployment types. There must be one property present for each deployment type.
Show child attributes
Show child attributes
The supported deployment types. There must be one property present for each deployment type.
Show child attributes
Show child attributes
Timestamp of the last update to the resource configuration (will be the creation timestamp on creation)
Was this page helpful?
